Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Jul 01 12:01

    dependabot[bot] on npm_and_yarn

    (compare)

  • Jul 01 12:01
    dependabot[bot] closed #328
  • Jul 01 12:01
    dependabot[bot] commented #328
  • Jul 01 12:01
    dependabot[bot] labeled #344
  • Jul 01 12:01
    dependabot[bot] labeled #344
  • Jul 01 12:00
    dependabot[bot] opened #344
  • Jul 01 12:00

    dependabot[bot] on npm_and_yarn

    build(deps): bump vue and vue-t… (compare)

  • Jun 30 17:46
    dependabot[bot] edited #342
  • Jun 30 17:45
    dependabot[bot] edited #323
  • Jun 30 17:44
    dependabot[bot] synchronize #335
  • Jun 30 17:44

    dependabot[bot] on npm_and_yarn

    build(deps-dev): bump @vue/cli-… (compare)

  • Jun 30 17:44
    dependabot[bot] edited #335
  • Jun 30 17:44
    dependabot[bot] edited #342
  • Jun 30 17:44
    dependabot[bot] synchronize #342
  • Jun 30 17:44

    dependabot[bot] on npm_and_yarn

    build(deps): bump core-js from … (compare)

  • Jun 30 17:44
    dependabot[bot] synchronize #334
  • Jun 30 17:44
    dependabot[bot] edited #342
  • Jun 30 17:44

    dependabot[bot] on npm_and_yarn

    build(deps-dev): bump @vue/cli-… (compare)

  • Jun 30 17:44
    dependabot[bot] edited #334
  • Jun 30 17:44
    dependabot[bot] synchronize #340
Gerson Fernando Budke
@nandojve
The easy way to test UpdateHub is using local network with UpdateHub-CE and Ethernet.
Otavio Salvador
@otavio
The upload is likely due do you didn't log in properly.
tagboxvipul
@tagboxvipul

Hi @nandojve It was working earlier for POC we have not tried in production .
1 ) I am working on ncs v2.6.99-ncs1 tag. and harwdare is nrf52840 and quectels EC20 module over PPP
2 )

Currently Zephyr (at mainline) is changing a lot of things in JSON parser.

I dont think there is json parsing issue coap_packet reply data looks like .+.............hE...#.c.d.......{"objects":[[{"filename":"app_update.bin","mode":"zephyr","sha256sum":"443e3503fbf927fd6b89e8df18a434085f1d3e96a99b9d69226ca80cac0dae3a","size":328232}],[{"filename":"app_update.bin","mode":"zephyr","sha256sum":"443e3503fbf927fd6b89e8df18a434085f1d3e96a99b9d69226ca80cac0dae3a","size":328232}]],"product":"e4d37cfe6ec48a2d069cc0bbb8b078677e9a0d8df3a027c4d8ea131130c4265f","supported-hardware":"any","version":"3.0.0"}
Is this data looks like correct but first 32 byte looks weird does is coming from any padding header and due to this i think its failing to memcpy at line memcpy(metadata, reply.data ,reply.max_len - reply.offset);

The easy way to test UpdateHub is using local network with UpdateHub-CE and Ethernet.
right now i dont have hardware setup for this

tagboxvipul
@tagboxvipul
image.png
Attahched screenshot shows line number 739 is not able to copy any metadata
tagboxvipul
@tagboxvipul
@nandojve @otavio please help me to solve above issue ASAP
Gerson Fernando Budke
@nandojve
Hi @tagboxvipul , can you check if you have this patch? zephyrproject-rtos/zephyr#37854
I remember that was introduced a regression in Zephyr and I fixed for Zephyr 2.7.0
Since you are entering in production, I strong recommend get an official version like 2.7.0 instead any intermediary like 2..6.99
We try run tests on each final development phase to make sure any new release is without regression.
Gerson Fernando Budke
@nandojve
The UpdateHub Zephyr code base seems to be stable at 2.3, 2.4, 2.7 LTS. Zephyr have tons of changes in 2.5 that compromise many subsystems and majority was fixed at 2.6 for 2.7 release.
tagboxvipul
@tagboxvipul
as i am using nrf connect sdk for zephyr can you help me to point stable version on this repo which is tested
Gerson Fernando Budke
@nandojve
I see, I think in this case best you can do is simple cherry-pick #37854 change in another local branch to make some tests.

can you help me to point stable version on this repo which is tested

You can find this answer at Zephyr discord channel at Vendors/Nordic

It is very difficult know what is inside a vendor release and best is ask directly to them.
The other think you can try is simple use Zephyr LTS version directly with Zephyr SDK 0.13.1
tagboxvipul
@tagboxvipul
okay thanks alot will try this and let you.
Gerson Fernando Budke
@nandojve
Ok, let us know if you succeed.
tagboxvipul
@tagboxvipul
hey gerson, thanks for the help. after cherry picking updatehub.c the download was succesful. But now I am downloaded image is failing sha validation (see screenshot) with error: updatehub: Firmware - flash validation has failed
image.png
image.png
We are also raising it with nordic, given we are facing this issue in their mainted fork. But if you have seen this issue please let us know if we need to cherry pick any other module from 2.7.0
Gerson Fernando Budke
@nandojve
Are you with both Download and Storage check enabled, right?
If this is the case, UpdateHub is OK and now there is some issue about write/read at flash.
It will be hard to us follow what is manufacturer branch.
If you not uses something too specific from Nordic, I would encourage you to test directly from Zephyr 2.7.0 LTS version.
youssefchei-xite
@youssefchei-xite

Hello
I'm testing the updatehub using nrf5340dk and quectel BG96 as modem.
I used the zephyr/samples/subsys/mgmt/updatehub sample and I used the updatehub cloud for update (free version for now)
1- I build and flash the version 1.0.0
2-Create and push the update package 2.0.0 to updatehub cloud using https://docs.updatehub.io/zephyr-project/zephyr-project-guide/ , steps: 8-9 then create rollout using step 11
3- start the FOTA using updatehub run command
4- the nrf5340dk connect to updatehub cloud, download the binary and update it after reboot and the firmware 2.0.0 is running.

Then I tested the updatehub with DTLS by including overlay-dtls.conf using the default certificates.
But I always got
[00:02:15.450,164] <err> net_sock_tls: TLS handshake error: -6800
[00:02:15.459,075] <err> updatehub: Could not send request
[00:02:15.473,327] <err> main: Invalid response

Is there a certificate that must upload to updatehub cloud?
Is there any config missing to make the updatehub example connect to updatehub cloud using DTLS ?